Bug 505971 - shutdown, reboot gone from GNOME panel menu
shutdown, reboot gone from GNOME panel menu
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 21:43 EDT by Jonathan Kamens
Modified: 2009-08-26 01:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-26 01:35:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2009-06-14 21:43:48 EDT
With current rawhide, I am no longer given a shutdown menu item on the GNOME panel menu.

I checked the policykit preferences and they appear to be correct, i.e., it says that the active console should be able to shut down / reboot.

Don't know what's up here or what to check to debug further.  Any pointers would be appreciated.
Comment 1 Matthias Clasen 2009-06-18 01:09:30 EDT
Should be fixed with the latest builds of ConsoleKit, gnome-panel and gnome-session.

Please reopen, if you see this problem with
ConsoleKit-0.3.0-10.fc12
gnome-panel-2.26.2-3.fc12
gnome-session-2.26.1-4.fc12
Comment 2 Jonathan Kamens 2009-06-22 14:36:34 EDT
Now I see the menu item but when I select it, it only lists Suspend and Hibernate as options -- Reboot and Shut down are not listed.
Comment 3 Matthias Clasen 2009-07-09 00:59:50 EDT
What does 

dbus-send --system --type=method_call --print-reply --dest=org.freedesktop.ConsoleKit /org/freedesktop/ConsoleKit/Manager org.freedesktop.ConsoleKit.Manager.CanRestart

return ?
Comment 4 Jonathan Kamens 2009-07-09 11:50:46 EDT
"boolean false"

When I run System > Preferences > Authorizations, I don't even see org.freedesktop.ConsoleKit in the hierarchy -- my power options are under org.freedesktop.hal.power-management.
Comment 5 Jonathan Kamens 2009-07-28 22:20:14 EDT
Now Restart and Shut Down buttons are present, but Suspend and Hibernate aren't?
Comment 6 Matthias Clasen 2009-08-26 01:35:25 EDT
I believe this is all straighened out by now. 
Please reopen if not.

Note You need to log in before you can comment on or make changes to this bug.